Change Card PIN
curl --request PUT \
--url https://sandbox-api.cardcore.cloud/institutions/cards/pin/{cardId}/change \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"oldPIN": {
"encryptedData": "7f8d92h3k4j5l6",
"publicKeyFingerprint": "a884d7744252e1ec674983a91e6"
},
"newPIN": {
"encryptedData": "9f8d92h3k4j5l6",
"publicKeyFingerprint": "a884d7744252e1ec674983a91e6"
}
}
'{
"statusCode": 200,
"message": "Card pin updated successfully",
"data": {
"_id": "6a12fb4764e77fc7a0e2ae9d",
"institution": "68da3e6080b90fbbb96716c9",
"cardProgram": "68da531880b90fbbb9671b38",
"referenceCode": "SUPRPR21172571779628777201",
"scheme": "Mastercard",
"type": "virtual",
"bin": "0902322423",
"expiryMonth": "06",
"expiryYear": 2029,
"pinEnabled": true,
"seqNumber": "001",
"enroll2FA": true,
"status": "active",
"expiryDate": "2029-06-13T00:00:00.000Z",
"account": {
"currency": "NGN",
"type": "00",
"number": "7030338024",
"bankCode": "999241"
},
"customer": {
"uniqueId": "9992417030338024",
"firstName": "Prince",
"middleName": "",
"lastName": "Muteh",
"emailAddress": "[email protected]",
"phoneNumber": "07030338024",
"dateOfBirth": "1995-05-18T00:00:00.000Z",
"address": {
"line1": "University Of Maiduguri",
"line2": "pop",
"city": "Maiduguri",
"state": "Borno",
"country": "Nigeria",
"postalCode": "600211"
}
},
"cardHolderId": "sandbox-cardholder-bca4d47a-1c82-4106-8ad0-e684ccea833e",
"lastFour": "2368",
"pan": "090232QV2368",
"cvv2": "tok_dev_U7MIkc3OpG7plnkh5qtYqU",
"icvv": "tok_dev_SaZotECxTr5s9rGyliAxwM",
"serviceCode": "601",
"printCard": false,
"token": "sandbox-token-5bfc958f-e377-491a-a76d-aa1ff1b36f90",
"cvv": "tok_dev_DodbT7LKOI21V1apSA0TjS",
"allowDigitization": true,
"embossingName": "Prince Muteh",
"twoFAEnrolled": false,
"pinAttempts": 0,
"honorific": "",
"gender": "",
"createdAt": "2026-05-24T13:21:11.061Z",
"updatedAt": "2026-05-24T13:21:11.376Z",
"hash": "7307208218A127E8E928285CAC663D1B56740F1B",
"secureData": "W1FRX1qKyE1xjfvVtzjNYtngHkpd08xLUaKy/pFlmSYYMhZlneEkFFkoKb6tVcfaIYGelxCdkI7+ZwVVLLBzNVX4/rpxycLZ1OIHZT9ey0PQmJJc9p81NN05cSeTUyIVmKd6ADsCCbMkp1cc/YTqIsLMzvIb5AXWne98lCbNldvn6BWOhLzwjJu37g1lDYGhd/Qcr7RmffyqKWPbd7bwo57MIgOQAezABLZijrUzjYpMH0RvxNkNqt9BCRshQpm5jentCVeGGwV8CJenGVz4NF5UM+BXOo5xGryScKJ+d19HHpAM2JnY0tmSCZByxbSv4+ZQF0rdlY6rQQbqRPWkSw==",
"id": "6a12fb4764e77fc7a0e2ae9d"
}
}Institution Cards
Change Card PIN
Change card PIN using encrypted pin blocks.
PUT
/
institutions
/
cards
/
pin
/
{cardId}
/
change
Change Card PIN
curl --request PUT \
--url https://sandbox-api.cardcore.cloud/institutions/cards/pin/{cardId}/change \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"oldPIN": {
"encryptedData": "7f8d92h3k4j5l6",
"publicKeyFingerprint": "a884d7744252e1ec674983a91e6"
},
"newPIN": {
"encryptedData": "9f8d92h3k4j5l6",
"publicKeyFingerprint": "a884d7744252e1ec674983a91e6"
}
}
'{
"statusCode": 200,
"message": "Card pin updated successfully",
"data": {
"_id": "6a12fb4764e77fc7a0e2ae9d",
"institution": "68da3e6080b90fbbb96716c9",
"cardProgram": "68da531880b90fbbb9671b38",
"referenceCode": "SUPRPR21172571779628777201",
"scheme": "Mastercard",
"type": "virtual",
"bin": "0902322423",
"expiryMonth": "06",
"expiryYear": 2029,
"pinEnabled": true,
"seqNumber": "001",
"enroll2FA": true,
"status": "active",
"expiryDate": "2029-06-13T00:00:00.000Z",
"account": {
"currency": "NGN",
"type": "00",
"number": "7030338024",
"bankCode": "999241"
},
"customer": {
"uniqueId": "9992417030338024",
"firstName": "Prince",
"middleName": "",
"lastName": "Muteh",
"emailAddress": "[email protected]",
"phoneNumber": "07030338024",
"dateOfBirth": "1995-05-18T00:00:00.000Z",
"address": {
"line1": "University Of Maiduguri",
"line2": "pop",
"city": "Maiduguri",
"state": "Borno",
"country": "Nigeria",
"postalCode": "600211"
}
},
"cardHolderId": "sandbox-cardholder-bca4d47a-1c82-4106-8ad0-e684ccea833e",
"lastFour": "2368",
"pan": "090232QV2368",
"cvv2": "tok_dev_U7MIkc3OpG7plnkh5qtYqU",
"icvv": "tok_dev_SaZotECxTr5s9rGyliAxwM",
"serviceCode": "601",
"printCard": false,
"token": "sandbox-token-5bfc958f-e377-491a-a76d-aa1ff1b36f90",
"cvv": "tok_dev_DodbT7LKOI21V1apSA0TjS",
"allowDigitization": true,
"embossingName": "Prince Muteh",
"twoFAEnrolled": false,
"pinAttempts": 0,
"honorific": "",
"gender": "",
"createdAt": "2026-05-24T13:21:11.061Z",
"updatedAt": "2026-05-24T13:21:11.376Z",
"hash": "7307208218A127E8E928285CAC663D1B56740F1B",
"secureData": "W1FRX1qKyE1xjfvVtzjNYtngHkpd08xLUaKy/pFlmSYYMhZlneEkFFkoKb6tVcfaIYGelxCdkI7+ZwVVLLBzNVX4/rpxycLZ1OIHZT9ey0PQmJJc9p81NN05cSeTUyIVmKd6ADsCCbMkp1cc/YTqIsLMzvIb5AXWne98lCbNldvn6BWOhLzwjJu37g1lDYGhd/Qcr7RmffyqKWPbd7bwo57MIgOQAezABLZijrUzjYpMH0RvxNkNqt9BCRshQpm5jentCVeGGwV8CJenGVz4NF5UM+BXOo5xGryScKJ+d19HHpAM2JnY0tmSCZByxbSv4+ZQF0rdlY6rQQbqRPWkSw==",
"id": "6a12fb4764e77fc7a0e2ae9d"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Path parameter: cardId.
Body
application/json
Response
200 - application/json
Change Card PIN completed successfully.
The response is of type object.
⌘I